/* expdbflib - library to export data from dbf files 
 * Copyright (C) 1997-1999 Zbigniew Michal Kempczynski
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

// Implementacja operacji na datach
#include <stdlib.h>
#include <iostream.h>
#include <string.h>
#include "data.h"

char Global_Data_SQL_FORM[11];

Data Ascii_to_Data(char *asciidata)
{
 char tmp[5];
 Data tmpdata;

 memcpy(tmp, asciidata, 4);   //rozmiar roku
 tmp[4] = '\0'; 	      //ostatni znak koncem stringu
 tmpdata.rok = atoi(tmp);
 memcpy(tmp, asciidata+4, 2); //rozmiar miesiaca
 tmp[2] = '\0';
 tmpdata.miesiac = atoi(tmp);
 memcpy(tmp, asciidata+6, 2); //rozmiar dnia
 tmp[2] = '\0';
 tmpdata.dzien = atoi(tmp);

 return tmpdata;
}

// 
void Show_Data(char *txtdata)
{
 Data d;
 d = Ascii_to_Data(txtdata);

#if defined EUROPEAN_DATE 
 cout << (int) d.dzien << "-" << (int) d.miesiac << "-" << d.rok;
#endif

#if defined AMERICAN_DATE
 cout << (int) d.miesiac << "-" << (int) d.dzien << "-" << d.rok;
#endif 
 
}

char *Get_Data(char *txtdata)
{
  char tmp[5];

#if defined EUROPEAN_DATE
  memcpy(tmp, txtdata+6, 2); //rozmiar dnia
  tmp[2] = '\0';
  strcpy(Global_Data_SQL_FORM, tmp);
  strcat(Global_Data_SQL_FORM, "-");

  memcpy(tmp, txtdata+4, 2); //rozmiar miesiaca
  tmp[2] = '\0';
  strcat(Global_Data_SQL_FORM, tmp);
  strcat(Global_Data_SQL_FORM, "-");
#endif

#if defined AMERICAN_DATE
  memcpy(tmp, txtdata+4, 2); //rozmiar miesiaca
  tmp[2] = '\0';
  strcpy(Global_Data_SQL_FORM, tmp);
  strcat(Global_Data_SQL_FORM, "-");

  memcpy(tmp, txtdata+6, 2); //rozmiar dnia
  tmp[2] = '\0';
  strcat(Global_Data_SQL_FORM, tmp);
  strcat(Global_Data_SQL_FORM, "-");
#endif

  memcpy(tmp, txtdata, 4);   //rozmiar roku
  tmp[4] = '\0'; 	     //ostatni znak koncem stringu
  strcat(Global_Data_SQL_FORM, tmp);

  return Global_Data_SQL_FORM;   
} 
